Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.extension
Class SimpleExtension

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.extension.SimpleExtension

All Implemented Interfaces:
  Configurable, Extension

Direct Known Subclasses:
  AccessManager, ScriptExtension, Sequencer, SyncManager

public class SimpleExtension
extends SimpleConfigurable
implements Extension

SimpleExtension implements default behavior for the required methods of the Extension interface. It can be used to serve as the foundation for other Extension implementations.

Constructor Summary
`SimpleExtension()`

Method Summary
`Collection` | `getCollection()` getCollection returns the Collection context for this Extension.
`java.lang.String` | `getName()` getName returns the name of this Extension.
`void` | `setCollection(Collection collection)` setCollection sets the Collection context for this Extension.
`void` | `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Constructor Detail

### SimpleExtension

    public SimpleExtension()

Method Detail

### setCollection

    public void setCollection(Collection collection)

  Description copied from interface: `Extension`
  setCollection sets the Collection context for this Extension.

  Specified by:
    `setCollection` in interface `Extension`
  Parameters:
    `collection` - The Collection

### getCollection

    public Collection getCollection()

  Description copied from interface: `Extension`
  getCollection returns the Collection context for this Extension.

  Specified by:
    `getCollection` in interface `Extension`
  Returns:
    The Collection

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Overrides:
    `setConfig` in class `SimpleConfigurable`
  Throws:
    `dbXMLException`

### getName

    public java.lang.String getName()

  Description copied from interface: `Extension`
  getName returns the name of this Extension.

  Specified by:
    `getName` in interface `Extension`
  Returns:
    the Extension name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group